//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit2.h"
#include <dir.h>
#include <shellapi.h>
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm2 *Form2;
//---------------------------------------------------------------------------
__fastcall TForm2::TForm2(TComponent* Owner)
	: TForm(Owner)
{
   DragAcceptFiles(Handle,true);
}
//---------------------------------------------------------------------------
void __fastcall TForm2::Button2Click(TObject *Sender)
{
  OpenDialog1->InitialDir = GetCurrentDir();
  OpenDialog1->Filter = "X-files|*.xctl;*.xmch";
  if (OpenDialog1->Execute()) {
	Edit1->Text = OpenDialog1->FileName ;
  }
}
//---------------------------------------------------------------------------

void __fastcall TForm2::WmDropFiles(TWMDropFiles& Message)
{
	HDROP drop_handle=(HDROP)Message.Drop;
	char fName[MAXPATH];
	int filenum=DragQueryFile(drop_handle,-1,NULL,NULL);
	for (int i=0;i<filenum;i++)
	{
		DragQueryFile(drop_handle,i,fName,MAXPATH);

		String str=ExtractFileExt(fName);
		if((LowerCase(str)==".xctl")||(LowerCase(str)==".xmch"))
		{
		   Edit1->Text = fName ;
		   break ;
		}

	};
	DragFinish(drop_handle);
};
//---------------------------------------------------------------------------

void __fastcall TForm2::Button1Click(TObject *Sender)
{
  String fn = Edit1->Text ;

  if (!FileExists(fn)) {
   ShowMessage("File = ( " + fn + " ) not exists");
   return ;
  }

  String str=ExtractFileExt(fn);
  if((LowerCase(str)==".xctl")||(LowerCase(str)==".xmch"))
  {
	// 1
	TFileStream* fs=new TFileStream(fn,fmOpenReadWrite);
	fs->Seek(0,soFromBeginning);
	fs->WriteBuffer("BZh",3);
	delete fs;

	// 2
	String fNameNew , fNewExt ;
	String asName = ExtractFileName(fn);
	int l = asName.Length();
	if(LowerCase(str)==".xctl") fNewExt = ".ctl.bz2" ;
	if(LowerCase(str)==".xmch") fNewExt = ".mch.bz2" ;
	fNameNew = ExtractFileDir(fn) +"\\" + asName.SubString(0,l-5) + fNewExt ;
	RenameFile(fn,fNameNew);

	ShowMessage(": \n 1.  CGT  BZh \n 2.   \n  :" + fNameNew );

	// 3
	//ShellExecute( NULL, "open", "WinRar.exe", fNameNew.c_str() , NULL, SW_NORMAL );

  } else {
	ShowMessage("   !!! \n   Vericut-a: .xctl  .xmch ");
  }
}
//---------------------------------------------------------------------------
